#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <libtorrent/address.hpp>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(ui->pushButton, &QPushButton::clicked, this, &MainWindow::buttonClicked);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::buttonClicked(bool clicked)
{
    boost::system::error_code ec;
    libtorrent::address_v4 addr = libtorrent::address_v4::from_string("255.255.255.255", ec);

    if (!ec)
        ui->label->setText("Success");
    else
        ui->label->setText(ec.message().c_str());
}
